3.8 - how long is it useful?

PacMan

Tazmanian
Joined
Apr 12, 2004
Messages
4,279
The problem is that you're then talking about letting IB's horrible programmers muck up the 3.8 code even further. If their attempts with 4 and 5 are any indication that isn't something I'd be interested in seeing.
They would be starting with a good core product so it would be hard to screw up.
 

PacMan

Tazmanian
Joined
Apr 12, 2004
Messages
4,279
vB still has some excellent programmers who can continue development of vB. The question is if they will be given a free hand to develop the product.
They should make it community driven and let current owners decide what gets added/fixed.
 

PacMan

Tazmanian
Joined
Apr 12, 2004
Messages
4,279
Damn, where's my extra thick winter coat... looks like hell just froze over.

But yea, letting the IB code butchers have a go at 3.8 again? Lord save us.
Unless major changes are made to the code base, I dont see how they could butcher it.
 

Gladius

Enthusiast
Joined
Dec 16, 2011
Messages
172
They managed to screw up (as in, lace with bugs) the last few minor v3 releases and back then I think it wasn't even IB's coders working on it but one of the leftover junior Jelsoft devs. And they were pretty much just bug-fix releases without adding anything much new.

Trust me, there's plenty of ways they can screw it up. But let's wait and see if anything actually materializes here except the usual empty IB promises.
 

PacMan

Tazmanian
Joined
Apr 12, 2004
Messages
4,279
But let's wait and see if anything actually materializes here except the usual empty IB promises.
Yup! IB promised lots for VB4 (Remember Fabian's list of features?) and never delivered.
 

Gladius

Enthusiast
Joined
Dec 16, 2011
Messages
172
Yea, the LCF forum is pretty much a popcorn show at this point. Now after they've literally obliterated vBulletin for good, suddenly there's this big interest in customer feedback and more interaction and supposed staff hearing going on in a week than in previous 3+ years.

I guess when all else fails (and not a second sooner), IB resorts to (pretend) listening to customer feedback as well. Too bad it's much too little and years too late.
 

Alfa1

Administrator
Joined
May 28, 2007
Messages
3,882
I would not be surprised if some manager suddenly (after 4 years) realized that there are quite a few webmasters that will never move their websites to vb4 / vb5 and doing another vb3 release means income that they can not get in any other way.

That or they may have realized that they need to upgrade vb3 for their own forums in order to keep their sites compatible with PHP/Mysql/js and might as well let the vb customers pay for it.
 

PacMan

Tazmanian
Joined
Apr 12, 2004
Messages
4,279
That or they may have realized that they need to upgrade vb3 for their own forums in order to keep their sites compatible with PHP/Mysql/js and might as well let the vb customers pay for it.
and beta test too!
 

Alfa1

Administrator
Joined
May 28, 2007
Messages
3,882
Now that I think about it some more, this could be a sign that IB is selling off vb and are trying to contain the current outflux of vb3 customers to reduce brand value damage.

Just a thought.
 

PacMan

Tazmanian
Joined
Apr 12, 2004
Messages
4,279
Now that I think about it some more, this could be a sign that IB is selling off vb and are trying to contain the current outflux of vb3 customers to reduce brand value damage.

Just a thought.
Interesting. One last cash grab and then sell it off. They could probably run their forums on a custom version of VB 4.2.
 

RunCompanies

Neophyte
Joined
Mar 25, 2009
Messages
9
Can't you just run vBulletin 3 forever though... Run a dedicated server, choose which PHP/MYSQL versions you want to run on it, don't upgrade.. Why can't someone just upgrade vBulletin to be compatible with never versions anyways? There's NO reason to upgrade to vBulletin 4 or even 5. ZERO. Forums are Forums. They are not community blog sites, facebook-like communities with social stuff.. It's just a community forum. I don't know why everyone feels the need to have all this "Extra" fluff stuff.
 

Alfa1

Administrator
Joined
May 28, 2007
Messages
3,882
I don't know why everyone feels the need to have all this "Extra" fluff stuff.
The same reason why you are not sitting behind a typewriter or a commodore 64. The world moves on and so do users.
I used to write commodore64 games. I could take the position that those are just games so why bother with the extra fluff. But I'm pretty sure I would not be very successful in the age of xbox360, Wii and PS3.

Stackexchange is also just a forum. Can you compete?
 

JessJ

Enthusiast
Joined
Jul 20, 2009
Messages
145
Good question...I'm wondering this too, seeing as I hate vB 4.
I'd be willing to use it, but only if I couldn't use 3.8.
vBulletin was the only forum software I could tolerate :/.
 

Finance

Participant
Joined
Jul 2, 2012
Messages
53
Well, I have also now problems with vbadvanced Dynamics (some php version issues) and Brian is not much around anymore at vbadvanced. I better jump ship soon, addons are developing very fast at xenforo, so I hope we soon have something that can replace cmps and Dynamics.
 

PacMan

Tazmanian
Joined
Apr 12, 2004
Messages
4,279
Can't you just run vBulletin 3 forever though... Run a dedicated server, choose which PHP/MYSQL versions you want to run on it, don't upgrade..

Why can't someone just upgrade vBulletin to be compatible with never versions anyways?
My fear is that one day there will be an exploit in PHP/MYSQL/Vbulletin that wont be fixed as the software is no longer supported.
 

BirdOPrey5

#Awesome
Joined
Aug 14, 2008
Messages
4,217
The sheer volume of people using VB 3.x if a real exploit was ever found a fix would almost certainly be offered by someone either on vbulletin.com or .org even if an official fix wasn't produced.
 

PacMan

Tazmanian
Joined
Apr 12, 2004
Messages
4,279
The sheer volume of people using VB 3.x if a real exploit was ever found a fix would almost certainly be offered by someone either on vbulletin.com or .org even if an official fix wasn't produced.
That is nice to know.

But what happens if it is a php exploit? Correct me if I am wrong, I beleive the highest version of php that vb 3 works with is no longer being patched?
 

darnoldy

Curmudgeon
Joined
Dec 20, 2004
Messages
1,730
Correct me if I am wrong, I beleive the highest version of php that vb 3 works with is no longer being patched?
Depends on how you define "works with."

If I understand correctly what others have said here, 3.8 still functions with PHP5.4, it just generates error messages about "non-standard code" which can be turned off.

--don
 

Alfa1

Administrator
Joined
May 28, 2007
Messages
3,882
addons are developing very fast at xenforo, so I hope we soon have something that can replace cmps and Dynamics.
Unfortunately XenForo lacks a lot of essentials that vb3 has. It would be nice to move, but unless you have got skills like Digitalpoint, it is quite a functionality downgrade from vb3.
 
Top